from setuptools import setup, find_packages

from easywks import __version__


setup(
    name='easywks',
    version=__version__,
    author='s3lph',
    author_email='s3lph@kabelsalat.ch',
    description='OpenPGP WKS for Human Beings',
    license='MIT',
    keywords='pgp,wks',
    url='https://git.kabelsalat.ch/s3lph/easywks',
    packages=find_packages(exclude=['*.test']),
    install_requires=[
        'aiosmtpd',
        'bottle',
        'dnspython',
        'PyYAML',
        'PGPy',
        'Twisted',
    ],
    extras_require={
        'test': [
            'coverage',
            'pycodestyle',
            'twine'
        ]
    },
    entry_points={
        'console_scripts': [
            'easywks = easywks.main:main'
        ]
    },
)
